ข้ามไปยังเนื้อหา

Kling Image · O3 · Text to Image

ผสานการทำงาน

ID โมเดล kling-image/o3/text-to-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/kling-image/o3/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

คำขอนี้: $0.028 28 เครดิต API เรียกใช้ในหน้านี้

รับคีย์ API
Kling ข้อความเป็นภาพ เอาต์พุต 4Kอินพุตอ้างอิงสูงสุด 4K #text-to-image

O3 text-to-image ที่ 1K, 2K หรือ 4K พร้อมการควบคุมใบหน้าด้วย elements และเอาต์พุตแบบซีรีส์

Kling · ภาพ

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น 88 / 2500

พรอมต์การสร้างรูปภาพจำกัดที่ 2500 อักขระ

resolution ค่าเริ่มต้น 1K

ความละเอียดของรูปภาพเอาต์พุต: 1K สำหรับมาตรฐาน 2K สำหรับสูง หรือ 4K สำหรับความละเอียดสูงพิเศษ

aspect_ratio ค่าเริ่มต้น 16:9

อัตราส่วนความกว้างต่อความสูงของรูปภาพที่สร้างขึ้น

num_images ค่าเริ่มต้น 1

จำนวนรูปภาพเอาต์พุต ตั้งแต่ 1 ถึง 9 ใช้เฉพาะเมื่อ `result_type` เป็น `single`

ขั้นสูง result_type · output_format · series_amount · enable_safety_checker · elements
result_type ค่าเริ่มต้น single

ประเภทเอาต์พุต: `single` สร้างรูปภาพหนึ่งรูป ส่วน `series` สร้างรูปภาพที่เกี่ยวข้องกันหลายรูป

output_format ค่าเริ่มต้น png

รูปแบบไฟล์ของรูปภาพผลลัพธ์

จำนวนรูปภาพในชุด ตั้งแต่ 2 ถึง 9 ใช้เฉพาะเมื่อ `result_type` เป็น `series`

องค์ประกอบควบคุมใบหน้าที่เป็นตัวเลือก ซึ่งแทนตัวละครหรือวัตถุและอ้างอิงในพรอมต์ด้วย @Element1, @Element2 และอื่น ๆ

POST /run/kling-image/o3/text-to-image?wait=20 ใบเสนอราคา → $0.028
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/kling-image/o3/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ Kling Image · O3 · Text to Image

สร้างรูปภาพจากพรอมต์ความยาวไม่เกิน 2500 อักขระ `resolution` คือ 1K, 2K หรือ 4K และ `aspect_ratio` รองรับ 16:9, 9:16, 1:1, 4:3, 3:4, 3:2, 2:3 และ 21:9 สร้างรูปภาพ 1-9 รูป หรือรูปภาพที่เกี่ยวข้องกันเป็นชุด 2-9 รูปด้วย `result_type` `elements` ช่วยควบคุมใบหน้าของตัวละครและวัตถุ

พารามิเตอร์

ส่งชื่อมาตรฐานหรือชื่อดั้งเดิมอย่างใดอย่างหนึ่งเท่านั้น ห้ามส่งทั้งสองชื่อ ชื่อมาตรฐาน

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
promptจำเป็น
ประเภทstring
≤ 2,500 อักขระ
พรอมต์การสร้างรูปภาพจำกัดที่ 2500 อักขระ
elementsไม่บังคับ
ประเภทobject[]
องค์ประกอบควบคุมใบหน้าที่เป็นตัวเลือก ซึ่งแทนตัวละครหรือวัตถุและอ้างอิงในพรอมต์ด้วย @Element1, @Element2 และอื่น ๆ
elements[].frontal_image_urlไม่บังคับ
ประเภทurl · image
รูปภาพด้านหน้าที่เป็นตัวเลือก ซึ่งแสดงมุมมองหลักขององค์ประกอบ ขนาดไฟล์ต้องไม่เกิน 10.0 MB ความกว้างและความสูงต้องไม่น้อยกว่า 300px และมีอัตราส่วนภาพตั้งแต่ 0.40 ถึง 2.50
elements[].reference_image_urlsไม่บังคับ
ประเภทurl[] · image
ชุดรูปภาพเพิ่มเติม 0–3 รูปที่เป็นตัวเลือก ซึ่งแสดงมุมอื่น ๆ แต่ละไฟล์ต้องมีขนาดไม่เกิน 10.0 MB ความกว้างและความสูงต้องไม่น้อยกว่า 300px และมีอัตราส่วนภาพตั้งแต่ 0.40 ถึง 2.50
resolutionไม่บังคับ
ประเภทenum
ค่าเริ่มต้น1K
1K2K4K
ความละเอียดของรูปภาพเอาต์พุต: 1K สำหรับมาตรฐาน 2K สำหรับสูง หรือ 4K สำหรับความละเอียดสูงพิเศษ
result_typeไม่บังคับ
ประเภทenum
ค่าเริ่มต้นsingle
singleseries
ประเภทเอาต์พุต: `single` สร้างรูปภาพหนึ่งรูป ส่วน `series` สร้างรูปภาพที่เกี่ยวข้องกันหลายรูป
num_imagesไม่บังคับ num_outputs
ประเภทinteger
ค่าเริ่มต้น1
1 – 9
จำนวนรูปภาพเอาต์พุต ตั้งแต่ 1 ถึง 9 ใช้เฉพาะเมื่อ `result_type` เป็น `single`
series_amountไม่บังคับ
ประเภทinteger | null
2 – 9
จำนวนรูปภาพในชุด ตั้งแต่ 2 ถึง 9 ใช้เฉพาะเมื่อ `result_type` เป็น `series`
aspect_ratioไม่บังคับ
ประเภทenum
ค่าเริ่มต้น16:9
16:99:161:14:33:43:22:321:9
อัตราส่วนความกว้างต่อความสูงของรูปภาพที่สร้างขึ้น
output_formatไม่บังคับ
ประเภทenum
ค่าเริ่มต้นpng
jpegpngwebp
รูปแบบไฟล์ของรูปภาพผลลัพธ์
enable_safety_checkerไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นtrue
สามารถผ่อนปรนการคัดกรองได้โดยตั้งค่าเป็น false หากผู้เรียกมีสิทธิ์
จำเป็น ชื่อมาตรฐาน ซึ่งรองรับเช่นกัน

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kling-image/o3/text-to-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 28,
    "usd": "0.028",
    "charged": 28,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
images
array of object {url, content_type, file_name, file_size, width, height}รูปภาพที่โมเดลสร้างขึ้น

โมเดลเพิ่มเติม: ข้อความเป็นภาพ

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/kling-image/o3/text-to-image.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt